<bugID>1232292<Summary>Hang when setting sliding breakpoint on a large file in debugger</Summary><Description>+++ This bug was initially created as a clone of Bug #1224726 +++

Another issue with large files in the debugger we noticed when looking at Bug 1224726 is that it is slow/hangs when setting a breakpoint that gets slid.

STR:
1. Open https://bgrins.github.io/devtools-demos/debugger/scripts.html
2. Switch to debugger panel
3. In 1mb.js, set a breakpoint on line 2 (warning, this might lock up the browser for a few seconds).  Eventually the bp moves to line 3.

Expected:
This happens quickly

Actual:
Not so much</Description></bugID>